com.sun.jna.platform.win32

## Class OaIdl.ELEMDESC._ELEMDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.Union
    - - com.sun.jna.platform.win32.OaIdl.ELEMDESC._ELEMDESC

- Direct Known Subclasses:
    OaIdl.ELEMDESC._ELEMDESC.ByReference
  Enclosing class:
    OaIdl.ELEMDESC

      public static class OaIdl.ELEMDESC._ELEMDESC
      extends Union

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.ELEMDESC._ELEMDESC.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OaIdl.IDLDESC` | `idldesc` info for remoting the element C type : IDLDESC
    `OaIdl.PARAMDESC` | `paramdesc` info about the parameter C type : PARAMDESC

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OaIdl.ELEMDESC._ELEMDESC()`
    `OaIdl.ELEMDESC._ELEMDESC(OaIdl.IDLDESC idldesc)`
    `OaIdl.ELEMDESC._ELEMDESC(OaIdl.PARAMDESC paramdesc)`
    `OaIdl.ELEMDESC._ELEMDESC(Pointer pointer)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Union

      `getFieldOrder, getNativeAlignment, getTypedValue, readField, readField, setType, setType, setTypedValue, writeField, writeField, writeField`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### idldesc

          public OaIdl.IDLDESC idldesc

      info for remoting the element
      C type : IDLDESC

    - #### paramdesc

          public OaIdl.PARAMDESC paramdesc

      info about the parameter
      C type : PARAMDESC

  - ### Constructor Detail

    - #### OaIdl.ELEMDESC._ELEMDESC

          public OaIdl.ELEMDESC._ELEMDESC()

    - #### OaIdl.ELEMDESC._ELEMDESC

          public OaIdl.ELEMDESC._ELEMDESC(Pointer pointer)

    - #### OaIdl.ELEMDESC._ELEMDESC

          public OaIdl.ELEMDESC._ELEMDESC(OaIdl.PARAMDESC paramdesc)

      Parameters:
        `paramdesc` - info about the parameter
        C type : PARAMDESC

    - #### OaIdl.ELEMDESC._ELEMDESC

          public OaIdl.ELEMDESC._ELEMDESC(OaIdl.IDLDESC idldesc)

      Parameters:
        `idldesc` - info for remoting the element
        C type : IDLDESC

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.